This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 866118

Summary: Review Request: php-sabredav-Sabre_HTTP - allows for a central interface for Sabre DAV
Product: [Fedora] Fedora Reporter: Joseph Marrero <jmarrero>
Component: Package ReviewAssignee: Gregor Tätzner <gregor>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: gregor, jmarrero, notting, package-review
Target Milestone: ---Flags: gregor: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-20 23:03:34 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
review Sabre_HTTP none

Description Joseph Marrero 2012-10-14 01:42:55 EDT
Spec URL: http://marreroj.com/fedora/review-packages/php-sabredav-Sabre_HTTP.spec
SRPM URL: http://marreroj.com/fedora/review-packages/php-sabredav-Sabre_HTTP-1.6.4-1.fc18.src.rpm
Description: Sabre_HTTP effectively wraps around _SERVER, php://input, php://output and the headers method, allowing for a central interface to deal with this as well as easier unittesting.Provides classes for Basic, Digest and Amazon AWS authentication.
Fedora Account System Username: jmarrero
Comment 1 Gregor Tätzner 2012-10-14 05:51:52 EDT
watch out for those description lines:

php-sabredav-Sabre_HTTP.noarch: E: description-line-too-long C Sabre_HTTP effectively wraps around _SERVER, php://input, php://output and the headers method,
php-sabredav-Sabre_HTTP.noarch: E: description-line-too-long C allowing for a central interface to deal with this as well as easier unittesting.
Comment 2 Joseph Marrero 2012-10-14 09:32:01 EDT
Description fixed hopefully, I can't seem to be able to run rpmlint

Spec URL: http://marreroj.com/fedora/review-packages/php-sabredav-Sabre_HTTP.spec
SRPM URL: http://marreroj.com/fedora/review-packages/php-sabredav-Sabre_HTTP-1.6.4-2.fc18.src.rpm

old packages here:
http://marreroj.com/fedora/review-packages/old/*

How exactly I can check my packages with rpmlint? I always do rpmlint -cv against the .src.rpm and I get a error about locale (maybe is F18..)
Comment 3 Gregor Tätzner 2012-10-14 10:41:05 EDT
Created attachment 626994 [details]
review Sabre_HTTP

== APPROVED ==
Comment 4 Gregor Tätzner 2012-10-14 10:43:27 EDT
(In reply to comment #2)
> How exactly I can check my packages with rpmlint? I always do rpmlint -cv
> against the .src.rpm and I get a error about locale (maybe is F18..)

rpmlint <rpms> should do the job, but I'm not on F-18. Maybe you have a bad configuration.
Comment 6 Joseph Marrero 2012-11-03 00:33:18 EDT
New Package SCM Request
=======================
Package Name: php-sabredav-Sabre_HTTP
Short Description: allows for a central interface for Sabre DAV
Owners: jmarrero
Branches: f17 f18 el6
InitialCC:
Comment 7 Jon Ciesla 2012-11-03 12:00:44 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-11-11 06:00:10 EST
php-sabredav-Sabre_CardDAV-1.6.5-2.fc18,php-sabredav-Sabre_DAVACL-1.6.0-3.fc18,php-sabredav-Sabre_VObject-1.3.5-2.fc18,php-sabredav-Sabre_HTTP-1.6.4-3.fc18,php-sabredav-Sabre_DAV-1.6.5-1.fc18,php-sabredav-Sabre-1.0.0-6.fc18,php-channel-sabredav-1.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-sabredav-Sabre_CardDAV-1.6.5-2.fc18,php-sabredav-Sabre_DAVACL-1.6.0-3.fc18,php-sabredav-Sabre_VObject-1.3.5-2.fc18,php-sabredav-Sabre_HTTP-1.6.4-3.fc18,php-sabredav-Sabre_DAV-1.6.5-1.fc18,php-sabredav-Sabre-1.0.0-6.fc18,php-channel-sabredav-1.3-3.fc18
Comment 9 Fedora Update System 2012-11-11 06:04:20 EST
php-channel-sabredav-1.3-3.fc17,php-sabredav-Sabre-1.0.0-6.fc17,php-sabredav-Sabre_DAV-1.6.5-1.fc17,php-sabredav-Sabre_HTTP-1.6.4-3.fc17,php-sabredav-Sabre_VObject-1.3.5-2.fc17,php-sabredav-Sabre_DAVACL-1.6.0-3.fc17,php-sabredav-Sabre_CalDAV-1.6.4-3.fc17,php-sabredav-Sabre_CardDAV-1.6.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-channel-sabredav-1.3-3.fc17,php-sabredav-Sabre-1.0.0-6.fc17,php-sabredav-Sabre_DAV-1.6.5-1.fc17,php-sabredav-Sabre_HTTP-1.6.4-3.fc17,php-sabredav-Sabre_VObject-1.3.5-2.fc17,php-sabredav-Sabre_DAVACL-1.6.0-3.fc17,php-sabredav-Sabre_CalDAV-1.6.4-3.fc17,php-sabredav-Sabre_CardDAV-1.6.5-2.fc17
Comment 10 Fedora Update System 2012-11-11 14:54:53 EST
php-sabredav-Sabre_CardDAV-1.6.5-2.fc18, php-sabredav-Sabre_DAVACL-1.6.0-3.fc18, php-sabredav-Sabre_VObject-1.3.5-2.fc18, php-sabredav-Sabre_HTTP-1.6.4-3.fc18, php-sabredav-Sabre_DAV-1.6.5-1.fc18, php-sabredav-Sabre-1.0.0-6.fc18, php-channel-sabredav-1.3-3.fc18, php-sabredav-Sabre_CalDAV-1.6.4-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-11-11 16:10:47 EST
php-channel-sabredav-1.3-3.el6,php-sabredav-Sabre-1.0.0-6.el6,php-sabredav-Sabre_DAVACL-1.6.0-3.el6,php-sabredav-Sabre_DAV-1.6.5-1.el6,php-sabredav-Sabre_HTTP-1.6.4-3.el6,php-sabredav-Sabre_VObject-1.3.5-2.el6,php-sabredav-Sabre_CardDAV-1.6.5-2.el6,php-sabredav-Sabre_CalDAV-1.6.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-channel-sabredav-1.3-3.el6,php-sabredav-Sabre-1.0.0-6.el6,php-sabredav-Sabre_DAVACL-1.6.0-3.el6,php-sabredav-Sabre_DAV-1.6.5-1.el6,php-sabredav-Sabre_HTTP-1.6.4-3.el6,php-sabredav-Sabre_VObject-1.3.5-2.el6,php-sabredav-Sabre_CardDAV-1.6.5-2.el6,php-sabredav-Sabre_CalDAV-1.6.4-3.el6
Comment 12 Fedora Update System 2012-11-20 23:03:35 EST
php-channel-sabredav-1.3-3.fc17, php-sabredav-Sabre-1.0.0-6.fc17, php-sabredav-Sabre_DAV-1.6.5-1.fc17, php-sabredav-Sabre_HTTP-1.6.4-3.fc17, php-sabredav-Sabre_VObject-1.3.5-2.fc17, php-sabredav-Sabre_DAVACL-1.6.0-3.fc17, php-sabredav-Sabre_CalDAV-1.6.4-3.fc17, php-sabredav-Sabre_CardDAV-1.6.5-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-11-23 02:16:24 EST
php-sabredav-Sabre_CardDAV-1.6.5-2.fc18, php-sabredav-Sabre_DAVACL-1.6.0-3.fc18, php-sabredav-Sabre_VObject-1.3.5-2.fc18, php-sabredav-Sabre_HTTP-1.6.4-3.fc18, php-sabredav-Sabre_DAV-1.6.5-1.fc18, php-sabredav-Sabre-1.0.0-6.fc18, php-channel-sabredav-1.3-3.fc18, php-sabredav-Sabre_CalDAV-1.6.4-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2012-11-28 12:38:24 EST
php-channel-sabredav-1.3-3.el6, php-sabredav-Sabre-1.0.0-6.el6, php-sabredav-Sabre_DAVACL-1.6.0-3.el6, php-sabredav-Sabre_DAV-1.6.5-1.el6, php-sabredav-Sabre_HTTP-1.6.4-3.el6, php-sabredav-Sabre_VObject-1.3.5-2.el6, php-sabredav-Sabre_CardDAV-1.6.5-2.el6, php-sabredav-Sabre_CalDAV-1.6.4-3.el6 has been pushed to the Fedora EPEL 6 stable repository.